Create table reservations, guestlist, tally, cover and tickets.
- Method:
POST - Path:
/venues/{venueId}/admission-groups - Operation ID:
createAdmissionGroup - Tags: Admission Groups
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
venueId | string | Yes |
Header Parameters
| Name | Type | Required | Description |
|---|---|---|---|
x-tl-api-key | string | Yes |
Request Body
application/json
Schema: object
| Field | Type | Required | Description |
|---|---|---|---|
date | string | Yes | |
type | string | Yes | |
name | string | No | |
firstName | string | Yes | |
lastName | string | Yes | |
email | string | No | |
phone | string | No | |
administrativeArea | string | No | |
assignedTo | string | No | |
tables | array<object> | No | |
guestsExpected | number | No |
Responses
200
Admission group response object.
- Content-Type:
application/json- Schema:
object
- Schema:
| Field | Type | Required | Description |
|---|---|---|---|
id | string | Yes | |
date | string | Yes | |
created | string | Yes | |
modified | string | Yes | |
type | string | Yes | |
organization | string | Yes | |
venue | string | Yes | |
inventoryName | string | No | |
inventoryPrice | number | No | |
inventoryType | string | No | |
inventoryDescription | string | No | |
inventoryCheckInStart | string | No | |
inventoryCheckInEnd | string | No | |
inventoryMembershipLevel | number | No | |
prepaid | boolean | No | |
paymentStatus | string | No | |
pricePerGuest | number | No | |
receipts | array<object> | No | |
posTickets | array<object> | No | |
spent | number | No | |
status | string | Yes | |
closed | boolean | No | |
cancelledReasonType | string | No | |
cancelledByType | string | No | |
posSyncEnabled | boolean | No | Client UI only (e.g. show POS code on printed chits). Does not gate server spent, POS integrations, or sale sync. |
posCode | string | No | |
posSynced | boolean | No | |
attributionName | string | No | |
attributionType | string | No | |
tables | array<object> | No | |
assignedTo | string | No | |
guestsExpected | number | No | |
guestsCheckedIn | number | No | |
name | string | No | |
firstName | string | No | |
lastName | string | No | |
email | string | No | |
phone | string | No | |
administrativeArea | string | No | |
eventName | string | No | Event name, if assigned to an event |
eventDateStart | string (date-time) | No | Event start date/time in UTC, if assigned to an event |
eventDateEnd | string (date-time) | No | Event end date/time in UTC, if assigned to an event |
default
unexpected error
- Content-Type:
application/json- Schema:
object
- Schema:
| Field | Type | Required | Description |
|---|---|---|---|
message | string | Yes | |
errors | array<object> | Yes | |
errorData | object | No |